Open CASCADE Technology: IGESGeom_GeneralModule Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IGESGeom_GeneralModule Class Reference

Definition of General Services for IGESGeom (specific part) This Services comprise : Shared & Implied Lists, Copy, Check. More...

`#include <IGESGeom_GeneralModule.hxx>`

Inheritance diagram for IGESGeom_GeneralModule:
[legend]

## Public Member Functions
| IGESGeom_GeneralModule ()
| Creates a GeneralModule from IGESGeom and puts it into GeneralLib. More...
void | OwnSharedCase (const Standard_Integer CN, const Handle< IGESData_IGESEntity > &ent, Interface_EntityIterator &iter) const
| Lists the Entities shared by a given IGESEntity <ent>, from its specific parameters : specific for each type. More...
IGESData_DirChecker | DirChecker (const Standard_Integer CN, const Handle< IGESData_IGESEntity > &ent) const
| Returns a DirChecker, specific for each type of Entity (identified by its Case Number) : this DirChecker defines constraints which must be respected by the DirectoryPart. More...
void | OwnCheckCase (const Standard_Integer CN, const Handle< IGESData_IGESEntity > &ent, const Interface_ShareTool &shares, Handle< Interface_Check > &ach) const
| Performs Specific Semantic Check for each type of Entity. More...
Standard_Boolean | NewVoid (const Standard_Integer CN, Handle< Standard_Transient > &entto) const
| Specific creation of a new void entity. More...
void | OwnCopyCase (const Standard_Integer CN, const Handle< IGESData_IGESEntity > &entfrom, const Handle< IGESData_IGESEntity > &entto, Interface_CopyTool &TC) const
| Copies parameters which are specific of each Type of Entity. More...
virtual Standard_Integer | CategoryNumber (const Standard_Integer CN, const Handle< Standard_Transient > &ent, const Interface_ShareTool &shares) const
| Returns a category number which characterizes an entity Shape for all, but Drawing for : Flash; Point with a symbol; Plane with a symbol. More...
Public Member Functions inherited from IGESData_GeneralModule
void | FillSharedCase (const Standard_Integer CN, const Handle< Standard_Transient > &ent, Interface_EntityIterator &iter) const
| Fills the list of Entities shared by an IGESEntity <ent>, according a Case Number <CN> (formerly computed by CaseNum). Considers Properties and Directory Part, and calls OwnSharedCase (which is adapted to each Type of Entity) More...
virtual void | ListImpliedCase (const Standard_Integer CN, const Handle< Standard_Transient > &ent, Interface_EntityIterator &iter) const
| Lists the Implied References of <ent>. Here, these are the Associativities, plus the Entities defined by OwnSharedCase. More...
virtual void | OwnImpliedCase (const Standard_Integer CN, const Handle< IGESData_IGESEntity > &ent, Interface_EntityIterator &iter) const
| Specific list of Entities implied by a given IGESEntity <ent> (in addition to Associativities). By default, there are none, but this method can be redefined as required. More...
void | CheckCase (const Standard_Integer CN, const Handle< Standard_Transient > &ent, const Interface_ShareTool &shares, Handle< Interface_Check > &ach) const
| Semantic Checking of an IGESEntity. Performs general Checks, which use DirChecker, then call OwnCheck which does a check specific for each type of Entity. More...
virtual Standard_Boolean | CanCopy (const Standard_Integer CN, const Handle< Standard_Transient > &ent) const
| Specific answer to the question "is Copy properly implemented" For IGES, answer is always True. More...
void | CopyCase (const Standard_Integer CN, const Handle< Standard_Transient > &entfrom, const Handle< Standard_Transient > &entto, Interface_CopyTool &TC) const
| Copy ("Deep") from <entfrom> to <entto> (same type) by using a CopyTool which provides its working Map. For IGESEntities, Copies general data (Directory Part, List of Properties) and call OwnCopyCase. More...
virtual void | RenewImpliedCase (const Standard_Integer CN, const Handle< Standard_Transient > &entfrom, const Handle< Standard_Transient > &entto, const Interface_CopyTool &TC) const
| Renewing of Implied References. For IGESEntities, Copies general data(List of Associativities) and calls OwnRenewCase. More...
virtual void | OwnRenewCase (const Standard_Integer CN, const Handle< IGESData_IGESEntity > &entfrom, const Handle< IGESData_IGESEntity > &entto, const Interface_CopyTool &TC) const
| Renews parameters which are specific of each Type of Entity : the provided default does nothing, but this method may be redefined as required. More...
virtual void | WhenDeleteCase (const Standard_Integer CN, const Handle< Standard_Transient > &ent, const Standard_Boolean dispatched) const
| Prepares an IGES Entity for delete : works on directory part then calls OwnDeleteCase While dispatch requires to copy the entities, <dispatched> is ignored, entities are cleared in any case. More...
virtual void | OwnDeleteCase (const Standard_Integer CN, const Handle< IGESData_IGESEntity > &ent) const
| Specific preparation for delete, acts on own parameters Default does nothing, to be redefined as required. More...
virtual Handle < TCollection_HAsciiString > | Name (const Standard_Integer CN, const Handle< Standard_Transient > &ent, const Interface_ShareTool &shares) const
| Returns the name of an IGES Entity (its NameValue) Can be redefined for an even more specific case ... More...
Public Member Functions inherited from Interface_GeneralModule
virtual void | FillShared (const Handle< Interface_InterfaceModel > &model, const Standard_Integer CN, const Handle< Standard_Transient > &ent, Interface_EntityIterator &iter) const
| Specific filling of the list of Entities shared by an Entity <ent>, according a Case Number <CN> (formerly computed by CaseNum), considered in the context of a Model <model> Default calls FillSharedCase (i.e., ignores the model) Can be redefined to use the model for working. More...
void | Share (Interface_EntityIterator &iter, const Handle< Standard_Transient > &shared) const
| Adds an Entity to a Shared List (uses GetOneItem on <iter>) More...
virtual void | ListImplied (const Handle< Interface_InterfaceModel > &model, const Standard_Integer CN, const Handle< Standard_Transient > &ent, Interface_EntityIterator &iter) const
| List the Implied References of <ent> considered in the context of a Model <model> : i.e. the Entities which are Referenced while not considered as Shared (not copied if <ent> is, references not renewed by CopyCase but by ImpliedCase, only if referenced Entities have been Copied too) FillShared + ListImplied give the complete list of References Default calls ListImpliedCase (i.e. ignores the model) Can be redefined to use the model for working. More...
virtual Standard_Boolean | Dispatch (const Standard_Integer CN, const Handle< Standard_Transient > &entfrom, Handle< Standard_Transient > &entto, Interface_CopyTool &TC) const
| Dispatches an entity Returns True if it works by copy, False if it just duplicates the starting Handle. More...
virtual Standard_Boolean | NewCopiedCase (const Standard_Integer CN, const Handle< Standard_Transient > &entfrom, Handle< Standard_Transient > &entto, Interface_CopyTool &TC) const
| Specific operator (create+copy) defaulted to do nothing. It can be redefined : When it is not possible to work in two steps (NewVoid then CopyCase). This can occur when there is no default constructor : hence the result <entto> must be created with an effective definition. Remark : if NewCopiedCase is defined, CopyCase has nothing to do Returns True if it has produced something, false else. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Definition of General Services for IGESGeom (specific part) This Services comprise : Shared & Implied Lists, Copy, Check.

## Constructor & Destructor Documentation

IGESGeom_GeneralModule::IGESGeom_GeneralModule | ( |  | ) |

Creates a GeneralModule from IGESGeom and puts it into GeneralLib.

## Member Function Documentation

virtual Standard_Integer IGESGeom_GeneralModule::CategoryNumber | ( | const Standard_Integer | CN,
|  | const Handle< Standard_Transient > & | ent,
|  | const Interface_ShareTool & | shares
| ) |  | const
| virtual

Returns a category number which characterizes an entity Shape for all, but Drawing for : Flash; Point with a symbol; Plane with a symbol.

Reimplemented from Interface_GeneralModule.

IGESData_DirChecker IGESGeom_GeneralModule::DirChecker | ( | const Standard_Integer | CN,
|  | const Handle< IGESData_IGESEntity > & | ent
| ) |  | const
| virtual

Returns a DirChecker, specific for each type of Entity (identified by its Case Number) : this DirChecker defines constraints which must be respected by the DirectoryPart.

Implements IGESData_GeneralModule.

Standard_Boolean IGESGeom_GeneralModule::NewVoid | ( | const Standard_Integer | CN,
|  | Handle< Standard_Transient > & | entto
| ) |  | const
| virtual

Specific creation of a new void entity.

Implements IGESData_GeneralModule.

void IGESGeom_GeneralModule::OwnCheckCase | ( | const Standard_Integer | CN,
|  | const Handle< IGESData_IGESEntity > & | ent,
|  | const Interface_ShareTool & | shares,
|  | Handle< Interface_Check > & | ach
| ) |  | const
| virtual

Performs Specific Semantic Check for each type of Entity.

Implements IGESData_GeneralModule.

void IGESGeom_GeneralModule::OwnCopyCase | ( | const Standard_Integer | CN,
|  | const Handle< IGESData_IGESEntity > & | entfrom,
|  | const Handle< IGESData_IGESEntity > & | entto,
|  | Interface_CopyTool & | TC
| ) |  | const
| virtual

Copies parameters which are specific of each Type of Entity.

Implements IGESData_GeneralModule.

void IGESGeom_GeneralModule::OwnSharedCase | ( | const Standard_Integer | CN,
|  | const Handle< IGESData_IGESEntity > & | ent,
|  | Interface_EntityIterator & | iter
| ) |  | const
| virtual

Lists the Entities shared by a given IGESEntity <ent>, from its specific parameters : specific for each type.

Implements IGESData_GeneralModule.

The documentation for this class was generated from the following file:

- IGESGeom_GeneralModule.hxx